org.eclipse.actf.model.dom.dombycom

## Interface INodeExSound

    public interface INodeExSound

INodeExSound interface defines the methods to be implemented by the sound object.

### Field Summary

Fields
`static int` `VOLUME_MAX` The maximum volume value.
`static int` `VOLUME_MIN` The minimum volume value.

### Method Summary

Methods
`boolean` `getMuteState()`
`int` `getVolume()`
`boolean` `muteMedia(boolean flag)`
`boolean` `setVolume(int val)`

### Field Detail

#### VOLUME_MIN

    static final int VOLUME_MIN

The minimum volume value. Each implementation convert the 0-1090 scale to the original scale.

See Also:
  Constant Field Values

#### VOLUME_MAX

    static final int VOLUME_MAX

The maximum volume value. Each implementation convert the 0-1000 scale to the original scale.

See Also:
  Constant Field Values

### Method Detail

#### getMuteState

    boolean getMuteState()

Returns:
  whether the sound object is muted or not.

#### muteMedia

    boolean muteMedia(boolean flag)

Parameters:
  `flag` - whether the sound object will be muted or not.
Returns:
  whether the operation is succeeded or not.

#### getVolume

    int getVolume()

Returns:
  the volume.

#### setVolume

    boolean setVolume(int val)

Parameters:
  `val` - the volume
Returns:
  whether the operation is succeeded or not.